/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl;

import com.topcoder.document.index.persistence.IndexPersistenceException;

/**
 * Defines a customized exception which is thrown when the configuration for the index persistence is invalid.
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
public class PersistenceConfigurationException extends IndexPersistenceException {
    /**
     * Creates a new instance of <code>PersistenceConfigurationException</code> class. The detailed message describing
     * the error is given.
     *
     * @param msg the detailed message describing the error.
     */
    public PersistenceConfigurationException(String msg) {
        super(msg);
    }

    /**
     * Creates a new instance of <code>PersistenceConfigurationException</code> class. The detailed message describing
     * the error and the original cause of this exception are given.
     *
     * @param msg the detailed message describing the error.
     * @param cause the original error causing this exception.
     */
    public PersistenceConfigurationException(String msg, Throwable cause) {
        super(msg, cause);
    }
}











