/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl.db;

import com.topcoder.db.connectionfactory.ConfigurationException;
import com.topcoder.db.connectionfactory.DBConnectionFactoryImpl;
import com.topcoder.db.connectionfactory.UnknownConnectionException;

/**
 * Defines an abstract mock implementation of <code>DBConnectionFactory</code> interface. It is used in tests.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public abstract class MockDBConnectionFactory extends DBConnectionFactoryImpl {
    /**
     * Creates a new instance of <code>MockDBConnectionFactory</code> class.
     *
     * @param namespace the namespace used to create the instance.
     * @throws NullPointerException if <code>namespace</code> is <code>null</code>.
     * @throws IllegalArgumentException if <code>namespace</code> is empty string.
     * @throws UnknownConnectionException if the default connection name is unknown.
     * @throws ConfigurationException if the configuration is invalid.
     */
    public MockDBConnectionFactory(String namespace) throws UnknownConnectionException, ConfigurationException {
        super(namespace);
    }
}








